- Qt 6.10
- Qt Sensors
- C++ Classes
- QProximitySensor
- Qt 6.10.2 Reference Documentation

# QProximitySensor Class

The QProximitySensor class is a convenience wrapper around QSensor. More...

Header: | `#include <QProximitySensor>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Sensors)` `target_link_libraries(mytarget PRIVATE Qt6::Sensors)`
qmake: | `QT += sensors`
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QProximitySensor(QObject *parent = nullptr)
virtual | ~QProximitySensor()
QProximityReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QProximityReading instead of a QSensorReading.

For details about how the sensor works, see QProximityReading.

See also QProximityReading.

## Member Function Documentation

### `[explicit]` QProximitySensor::QProximitySensor(QObject *parent = nullptr)

Construct the sensor as a child of parent.

### `[virtual noexcept]` QProximitySensor::~QProximitySensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QProximityReading *QProximitySensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().